std::experimental::_Not_fn< _Fn >(3)

NAME
std::experimental::_Not_fn< _Fn > - Generalized negator.

SYNOPSIS

  Public Member Functions
template<typename _Fn2 > _Not_fn (_Fn2 &&__fn)
_Not_fn (const _Not_fn &__fn)=default
_Not_fn (_Not_fn &&__fn)=default
template<typename... _Args> auto operator() (_Args &&...__args) noexcept(noexcept(!_M_fn(std::forward< _Args >(__args)...))) -> decltype(!_M_fn(std::forward< _Args >(__args)...))
template<typename... _Args> auto operator() (_Args &&...__args) const noexcept(noexcept(!_M_fn(std::forward< _Args >(__args)...))) -> decltype(!_M_fn(std::forward< _Args >(__args)...))
template<typename... _Args> auto operator() (_Args &&...__args) volatilenoexcept(noexcept(!_M_fn(std::forward< _Args >(__args)...))) -> decltype(!_M_fn(std::forward< _Args >(__args)...))
template<typename... _Args> auto operator() (_Args &&...__args) const volatilenoexcept(noexcept(!_M_fn(std::forward< _Args >(__args)...))) -> decltype(!_M_fn(std::forward< _Args >(__args)...))
_Not_fn & operator= (const _Not_fn &__fn)=default
_Not_fn & operator= (_Not_fn &&__fn)=default

Detailed Description

  template<typename _Fn>
class std::experimental::_Not_fn< _Fn >" Generalized negator.

Definition at line 382 of file experimental/functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.